所需权限:
actor:create请求体
string
必填
人类可读的名称,显示在控制台中并在 API 响应中返回。
string
Actor 角色或用途的自由文本描述。
object
任意键值对,用于调用方定义的元数据。适用于为 Actor 添加层级、地区或部门等属性标签。
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/actors' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "premium",
"region": "us-west"
}
}'
{
"success": true,
"data": {
"id": "actor-8d093c0578ffeb19f8fa10ea28ee9362",
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "premium",
"region": "us-west"
},
"created_at": "2025-03-10T08:00:00Z",
"updated_at": "2025-03-10T08:00:00Z"
}
}
创建一个新的 Actor 来代表会话参与者
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/actors' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "premium",
"region": "us-west"
}
}'
{
"success": true,
"data": {
"id": "actor-8d093c0578ffeb19f8fa10ea28ee9362",
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "premium",
"region": "us-west"
},
"created_at": "2025-03-10T08:00:00Z",
"updated_at": "2025-03-10T08:00:00Z"
}
}
POST /openapi/memorylake/api/v3/actors
actor:createcurl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/actors' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "premium",
"region": "us-west"
}
}'
{
"success": true,
"data": {
"id": "actor-8d093c0578ffeb19f8fa10ea28ee9362",
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "premium",
"region": "us-west"
},
"created_at": "2025-03-10T08:00:00Z",
"updated_at": "2025-03-10T08:00:00Z"
}
}